import { Packet } from "../base/Packet";
import { User } from "../base/User";

/**
 * @description This handles all ingoing/outgoing packets in a event based system
 */
export class PacketManager {
    public static packetMap: Map<number, Packet> = new Map();
    public static packetMapOut: Map<number, Packet> = new Map();
    public static packetMapServer: Map<User, Packet> = new Map();

    public static registerPacket(packet: Packet): void {
        this.packetMap.set(packet.id, packet);
    }

    public static registerPacketOut(packet: Packet): void {
        this.packetMapOut.set(packet.id, packet);
    }

    public static getPacket(id: number): Packet | undefined {
        return this.packetMap.get(id);
    }

    public static registerServerPacket(packet: Packet, to: User): void {
        this.packetMapServer.set(to, packet);
    }
};