import { Packet } from "../../base/Packet";
import { Room } from "../../base/Room";
import { User } from "../../base/User";

/**
 * @description The packet sent by the client to signify an initial connection
 * @notice If the packet is not sent within 1 second of the connection, the connection will be closed
 *            This also starts the keep alive timer
 */
export class C01InitialConnectPacket extends Packet {
    public constructor(user: User, room: Room) {
        super(1, null, 0);
        /*
            Expected data:
            {
                user: {
                    name: string,
                },
                room: {
                    name: string, // The expected room name to join
                }
            }
        */
        this.data = { user, room };
    }
}