import { Packet } from "../../base/Packet";
import { Room } from "../../base/Room";
import { User } from "../../base/User";

/**
 * @description The packet sent by the server to signify the connection was accepted
 */
export class S03ConnectionAcceptedPacket extends Packet {
    public constructor(user: User, connected: User[], room: Room) {
        super(3, null, 1);
        this.data = { user, connected, messages: room.messages };
    }
}