import { Room } from "../base/Room";
import { User } from "../base/User";
import { IRC } from "../IRC";
import { S01BroadcastMessagePacket } from "../packets/server/S01BroadcastMessagePacket";
import { S02ErrPacket } from "../packets/server/S02ErrPacket";

export class RoomManager {
    private rooms: Room[] = [];

    public addRoom(room: Room): void {
        this.rooms.push(room);
    }

    public handleJoin(joined: Room, user: User) {
        this.rooms.forEach(room => {
            if(room.id === joined.id) {
                room.connected.push(user);
                IRC._packetManager.registerServerPacket(user, new S01BroadcastMessagePacket(`${user.name} joined the room`));
                room.connected.forEach(user => {
                    IRC._packetManager.registerServerPacket(user, new S01BroadcastMessagePacket(`${user.name} joined the room`));
                });

                return;
            }
        });

        IRC._packetManager.registerServerPacket(user, new S02ErrPacket(`Failed joining that room.`));
        return;
    }
}